Xalan-Java 2.7.1: Class SAX2DTM2.ChildrenIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.dtm.ref.sax2dtm
Class SAX2DTM2.ChildrenIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
                  |
                  +--org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.ChildrenIterator

public final class SAX2DTM2.ChildrenIterator
extends DTMDefaultBaseIterators.InternalAxisIteratorBase

Iterator that returns all immediate children of a given node

Constructor Summary
`SAX2DTM2.ChildrenIterator()`

Method Summary
`int` | `next()` Get the next node in the iteration.
`DTMAxisIterator` | `setStartNode(int node)` Setting start to END should 'close' the iterator, i.e.

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
`gotoMark, setMark`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, reset, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAX2DTM2.ChildrenIterator

    public SAX2DTM2.ChildrenIterator()

Method Detail

### setStartNode

    public DTMAxisIterator setStartNode(int node)

  Setting start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

  If the iterator is not restartable, this has no effect. %REVIEW% Should it return/throw something in that case, or set current node to END, to indicate request-not-honored?

  Parameters:
    `node` - Sets the root of the iteration.
  Returns:
    A DTMAxisIterator set to the start of the iteration.

### next

    public int next()

  Get the next node in the iteration.
  Returns:
    The next node handle in the iteration, or END if no more are available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.